Loading...
Searching...
No Matches
Chain_matrix.h File Reference

Contains the Gudhi::persistence_matrix::Chain_matrix class. More...

Go to the source code of this file.

## Classes

class | Gudhi::persistence_matrix::Chain_matrix< Master_matrix >
| Matrix structure storing a compatible base of a filtered chain complex. See [zigzag]. The base is constructed from the boundaries of the cells in the complex. Allows the persistent homology to be computed, as well as representative cycles. Supports vineyards (see [vineyards]) and the removal of maximal cells while maintaining a valid barcode. Provides an access to its columns and rows. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Chain_matrix class.

Author
  Hannah Schreiber